Report
v1.0.0
Search inspection reports
Request
Query Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| userId | string | path | Yes | QIMA client user login ID. |
| start | string | query | No | Filter start date for the inspection date range, in `YYYY-MM-DD` format (e.g., `2016-12-01`). |
| end | string | query | No | Filter end date for the inspection date range, in `YYYY-MM-DD` format (e.g., `2016-12-01`). |
| keyword | string | query | No | Keyword to search against the order number or PO number. |
| page | integer | query | No | Page number to show |
| page-size | integer | query | No | Page size in search results |
| all | string | query | No | Set to `true` to include reports from all sub-accounts under the super-master account. |
| sortField | string | query | No | Field name to sort results by. Must be one of the returned column names. |
| sortType | string | query | No | Sort direction. Use `DESC` for descending or `ASC` for ascending order. |
| companyRole | string | query | No | Specify the company role to filter reports. Set to `broker` to retrieve reports visible to the broker role. |
| prodDivision | string | query | No | Division name that this product belongs to in client's company |
| advSearchUseProdName | string | query | No | Set to `true` to include the product name in the advanced keyword search. |
| advSearchUseProdRef | string | query | No | Set to `true` to include the product reference number in the advanced keyword search. |
| startSendDate | string | query | No | Filter start or end date for the report send/resend date range, in `YYYY-MM-DD` format (e.g., `2016-12-01`). |
| endSendDate | string | query | No | Filter start or end date for the report send/resend date range, in `YYYY-MM-DD` format (e.g., `2016-12-01`). |
| status | string | query | No | Filter reports by status. Accepts a single status value or a comma-separated list of status values. |
Responses
200
Inspection reports search results will be returned
Content-Type: application/json
message
string| Field | Type | Description |
|---|---|---|
| message | string |
content
object| Field | Type | Description |
|---|---|---|
| pageNo | integer | Current page number in search results |
| totalPageNum | integer | Count of pages in search results |
| totalSize | integer | Total results count in search results |
| pageItems | array | List of the search result |
| pageItems[].orderId | string | Order id, primary key of the inspection order |
| pageItems[].productId | string | Id of this product(report) |
| pageItems[].orderNumber | string | QIMA booking order number, like R-Cloud-xx |
| pageItems[].orderNumberProductSeq | string | QIMA booking order number plus product sequence |
| pageItems[].clientRefNb | string | Reference number client can use for referencing with QIMA's inspection booking |
| pageItems[].poNumber | string | PO number |
| pageItems[].inspectionDate | string | Inspection date in unix timestamp |
| pageItems[].status | integer | Report status value, 30=>Approved by supervisor and diffused to client, 40=>Approved by client online, 50=>Rejected by client online, 60=>Archived by client online, 65=>Archived by client after approval, 70=>Archived by client after rejection |
| pageItems[].companyId | string | Company id in QIMA system |
| pageItems[].companyName | string | Company name |
| pageItems[].productName | string | Product name |
| pageItems[].supplierName | string | Supplier name |
| pageItems[].supplierProvince | string | Province name of the supplier |
| pageItems[].supplierCity | string | City id of the supplier |
| pageItems[].inspectionLocation | string | Location of the inspection |
| pageItems[].factoryIdCode | string | Factory's identification code in client's system |
| pageItems[].factoryName | string | Factory name |
| pageItems[].factoryCountry | string | Country name of the factory |
| pageItems[].factoryProvince | string | Province name of the factory |
| pageItems[].factoryAddress | string | Factory address |
| pageItems[].inspectorName | string | Inspector's name |
| pageItems[].serviceType | string | QIMA inspection service type value 1: PSI (Pre-Shipment Inspection), 2: IPC (Initial Production Check), 3: DUPRO (During Production Inspection) , 4: CLC (Container Loading Check), 6: PM (Production Monitoring), 8: SR (Sample Review), 21: SC (Sample Collection) |
| pageItems[].serviceTypeText | string | QIMA inspection service type text |
| pageItems[].prodReference | string | Product level product reference |
| pageItems[].bookingType | string | Booking type in product level |
| pageItems[].prodDivision | string | Division name that this product belongs to in client's company |
| pageItems[].prodQuantity | integer | Product level product quantity |
| pageItems[].prodQuantityUnit | string | Unit name of the product quantity, like pcs, sets |
| pageItems[].rejectionReason | string | Product level reject reason |
| pageItems[].approvalReason | string | Product level approve reason |
| pageItems[].reportApproveTime | string | Approved time in unix timestamp |
| pageItems[].approver | string | QIMA Login of the approver |
| pageItems[].comments | string | Comment on the approval/rejection |
| pageItems[].specResult | string | Inspection result based specification |
| pageItems[].testResult | string | Test result |
| pageItems[].workmanshipResult | string | Workmanship result |
| pageItems[].measurementResult | string | Measurement result |
| pageItems[].overrallResult | string | Overall result |
| pageItems[].criticalChecked | integer | How many product checked for critical level defect checking |
| pageItems[].majorChecked | integer | How many product checked for major level defect checking |
| pageItems[].minorChecked | integer | How many product checked for minor level defect checking |
| pageItems[].criticalFound | integer | How many critical level defect found |
| pageItems[].majorFound | integer | How many major level defect found |
| pageItems[].minorFound | integer | How many minor level defect found |
| pageItems[].criticalMax | integer | Client allowed critical level defects count |
| pageItems[].majorMax | integer | Client allowed major level defects count |
| pageItems[].minorMax | integer | Client allowed minor level defects count |
| pageItems[].missedInspection | boolean | Indicate if this inspection is a missed inspection |
| pageItems[].isReInspection | string | Indicate if this inspection is an re-inspection |
| pageItems[].reportRemark | string | Inspector remarks on the report |
| pageItems[].reportSummary | string | Summary of the report |
| pageItems[].clientRating | integer | Client's rating on this report |
| pageItems[].clientFeedback | string | Client's feedback on this report |
| pageItems[].read | boolean | Indicate if client has read this report |
| pageItems[].inspectionDateMMMFormat | string | Inspection date in dd-MMM-yyyy format |
| pageItems[].clientDecision | string | Client's decision on this report |
| pageItems[].expectedShipDate | string | Expected shipment date in unix timestamp |
| pageItems[].bookingDate | string | Booking date in unix timestamp |
| pageItems[].sampleSize | number | Product sample sizer |
| pageItems[].prodFamily | string | Product family name |
| pageItems[].prodCategory | string | Product category name |
| pageItems[].supplierAddress | string | Supplier's address |
| pageItems[].supplierCountry | string | Supplier's country name |
| pageItems[].supplierIdCode | string | Supplier's identification code in client's system |
| pageItems[].realMD | integer | Charged man day |
| pageItems[].totalCharge | string | Total charge of this order |
| pageItems[].sendReportTime | string | send report time.The newest time for sending/resending report |
| pageItems[].sendReportTimeFormat | string | Inspection date in dd-MMM-yyyy format |
| pageItems[].refResults | array | |
| pageItems[].refResults[].refId | string | |
| pageItems[].refResults[].productId | string | |
| pageItems[].refResults[].prodRefSeq | string | |
| pageItems[].refResults[].prodRefPoNb | string | |
| pageItems[].refResults[].prodRefSkuNb | string | |
| pageItems[].refResults[].prodRefQuantity | integer | |
| pageItems[].refResults[].aqlResult | string | |
| pageItems[].refResults[].overrallResult | string | |
| pageItems[].refResults[].status | integer | |
| pageItems[].refResults[].approver | string | |
| pageItems[].refResults[].approveTime | string | |
| pageItems[].refResults[].rejectionReason | string | |
| pageItems[].refResults[].approvalReason | string | |
| pageItems[].refResults[].icStatus | string | |
| pageItems[].refResults[].comments | string | |
| pageItems[].refResults[].createTime | string | |
| pageItems[].refResults[].updateTime | string | |
| pageItems[].refResults[].createBy | string | |
| pageItems[].refResults[].updateBy | string | |
| pageItems[].refResults[].supplierId | string | |
| pageItems[].refResults[].supplierName | string | |
| countByFields | array | Count by fields |
{
"message": null,
"content": {
"pageNo": 1,
"totalPageNum": 1,
"totalSize": 1,
"pageItems": [
{
"orderId": "EC73BC336B034CF886E7C0B8EAE3160A",
"productId": "1CD16979CD0A4947BE42610D02EAE5D2",
"orderNumber": "R-Cloud-PP-25004672",
"poNumber": "SP2-PO",
"inspectionDate": "1751212800000",
"status": 30,
"productName": "SP2",
"supplierName": "SupplierTest166595",
"serviceType": "1",
"serviceTypeText": "PSI",
"overrallResult": "PASSED",
"read": true,
"inspectionDateMMMFormat": "30-Jun-2025",
"sendReportTime": "1756114884747",
"sendReportTimeFormat": "25-Aug-2025 17:41:24"
}
],
"countByFields": null
}
}500
Error message returned
Content-Type: application/json
GET
/user/{userId}/reportsRequest samples
application/json
{}
Response samples
application/json
{
"message": null,
"content": {
"pageNo": 1,
"totalPageNum": 1,
"totalSize": 1,
"pageItems": [
{
"orderId": "EC73BC336B034CF886E7C0B8EAE3160A",
"productId": "1CD16979CD0A4947BE42610D02EAE5D2",
"orderNumber": "R-Cloud-PP-25004672",
"poNumber": "SP2-PO",
"inspectionDate": "1751212800000",
"status": 30,
"productName": "SP2",
"supplierName": "SupplierTest166595",
"serviceType": "1",
"serviceTypeText": "PSI",
"overrallResult": "PASSED",
"read": true,
"inspectionDateMMMFormat": "30-Jun-2025",
"sendReportTime": "1756114884747",
"sendReportTimeFormat": "25-Aug-2025 17:41:24"
}
],
"countByFields": null
}
}
